elftosb::OperationSequenceSection Class Reference

A section of the output that contains boot operations. More...

`#include <OutputSection.h>`

Inheritance diagram for elftosb::OperationSequenceSection:
[legend]
Collaboration diagram for elftosb::OperationSequenceSection:
[legend]

## Public Member Functions

| OperationSequenceSection (uint32_t identifier)
OperationSequence & | getSequence ()
Public Member Functions inherited from elftosb::OutputSection
| OutputSection (uint32_t identifier)
void | setIdentifier (uint32_t identifier)
uint32_t | getIdentifier () const
void | setOptions (OptionContext *context)
| Set the option context. More...
const OptionContext * | getOptions () const
| Return the option context.

## Protected Attributes

OperationSequence | m_sequence
Protected Attributes inherited from elftosb::OutputSection
uint32_t | m_id
| Unique identifier.
smart_ptr< OptionContext > | m_options
| Options associated with just this section.

## Detailed Description

A section of the output that contains boot operations.

The documentation for this class was generated from the following file:

- OutputSection.h